Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
[Java] Class DependencyReportTask

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.diagnostics.AbstractReportTask
              org.gradle.api.tasks.diagnostics.DependencyReportTask

    public class DependencyReportTask
    extends AbstractReportTask

Displays the dependency tree for a project. An instance of this type is used when you execute the `dependencies` task from the command-line.

Method Summary
`void` | `generate(Project project)`
`Set` | `getConfigurations()` Returns the configurations to generate the report for.
`ReportRenderer` | `getRenderer()`
`void` | `setConfiguration(String configurationName)` Sets the single configuration (by name) to generate the report for.
`void` | `setConfigurations(Set configurations)` Sets the configurations to generate the report for.
`void` | `setRenderer(DependencyReportRenderer renderer)` Set the renderer to use to build a report.

Methods inherited from class AbstractReportTask
generate, generate, getOutputFile, getProjects, getRenderer, setOutputFile, setProjects

Method Detail

### generate

    public void generate(Project project)

### getConfigurations

    public Set getConfigurations()

  Returns the configurations to generate the report for. Defaults to all configurations of this task's containing project.
  Returns:
    the configurations.

### getRenderer

    public ReportRenderer getRenderer()

### setConfiguration

    @Option(option = "configuration", description = "The configuration to generate the report for.")
    public void setConfiguration(String configurationName)

  Sets the single configuration (by name) to generate the report for.
  Parameters:
    `configurationName` - name of the configuration to generate the report for

### setConfigurations

    public void setConfigurations(Set configurations)

  Sets the configurations to generate the report for.
  Parameters:
    `configurations` - The configuration. Must not be null.

### setRenderer

    public void setRenderer(DependencyReportRenderer renderer)

  Set the renderer to use to build a report. If unset, AsciiGraphRenderer will be used.

Gradle API 1.10